# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "alloc-once-macros"
version = "0.1.0-rc.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macro implementation detail of the `alloc-once` crate."
readme = false
keywords = [
    "bump",
    "arena",
    "macro",
    "proc-macro",
    "bumpalo",
]
categories = ["rust-patterns"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/tinybeachthor/alloc-once"

[lib]
name = "alloc_once_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = [
    "full",
    "parsing",
    "printing",
    "proc-macro",
]
default-features = false
